Raritan PX2/PX3 JSON-RPC API: sensors::AlertedSensorManager_1_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
sensors::AlertedSensorManager_1_0_1 Interface Reference

A global instance keeping track of sensors in alerted state. More...

`import"AlertedSensorManager.idl";`

## Classes
struct | SensorCounts
| Statistics about monitored sensors. More...
struct | SensorData
| Data about a monitored sensor. More...

## Public Types
enum | AlertState { UNAVAILABLE, NORMAL, CRITICAL, WARNED }
| Sensor alert state. More...

## Public Member Functions
SensorCounts | getSensorCounts ()
| Retrieve the current sensor counts. More...
vector< SensorData > | getAllSensors ()
| Retrieve a list of all monitored sensors. More...
vector< SensorData > | getAlertedSensors ()
| Retrieve a list of currently alerted sensors. More...

## Public Attributes
valueobject | MonitoredSensorsChangedEvent: idl::Event { SensorCounts counts
| Event: A change in the list of monitored sensors occurred. More...
valueobject | AlertedSensorsChangedEvent: idl::Event { SensorCounts counts
| Event: One or more sensors' alert states have changed. More...
vector< SensorData > | changedSensors
| Changed or added sensors.
vector< Sensor_4_0_3 > | removedSensors
| Removed sensors.

## Detailed Description

A global instance keeping track of sensors in alerted state.

## Member Enumeration Documentation

## ◆ AlertState

enum sensors::AlertedSensorManager_1_0_1::AlertState

Sensor alert state.

Enumerator
UNAVAILABLE | Sensor is unavailable.
NORMAL | Sensor is not alerted.
CRITICAL | Sensor is in critical state.
WARNED | Sensor is in warned state.

## Member Function Documentation

## ◆ getAlertedSensors()

vector<SensorData> sensors::AlertedSensorManager_1_0_1::getAlertedSensors | ( |  | ) |

Retrieve a list of currently alerted sensors.

Returns
  List of alerted sensors

## ◆ getAllSensors()

vector<SensorData> sensors::AlertedSensorManager_1_0_1::getAllSensors | ( |  | ) |

Retrieve a list of all monitored sensors.

Returns
  List of monitored sensors including alert state

## ◆ getSensorCounts()

SensorCounts sensors::AlertedSensorManager_1_0_1::getSensorCounts | ( |  | ) |

Retrieve the current sensor counts.

Returns
  Current sensor counts

## Member Data Documentation

## ◆ AlertedSensorsChangedEvent

valueobject sensors::AlertedSensorManager_1_0_1::AlertedSensorsChangedEvent

Event: One or more sensors' alert states have changed.

This event is fired whenever the result of getAlertedSensors() changes, i.e. in the following cases:

- An existing sensor's alert state changes
- A newly added sensor is alerted
- A sensor that was alerted is removedSensor statistics after the change

## ◆ MonitoredSensorsChangedEvent

valueobject sensors::AlertedSensorManager_1_0_1::MonitoredSensorsChangedEvent

Event: A change in the list of monitored sensors occurred.

This event is fired when sensors are added to or removed from the list of monitored sensors. It is not fired when a monitored sensor's alert state changes.Sensor statistics after the change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/AlertedSensorManager.idl